public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
* cluster: STABLE3 - cman init: better handle of unfencing
@ 2009-03-27 19:07 Fabio M. Di Nitto
0 siblings, 0 replies; only message in thread
From: Fabio M. Di Nitto @ 2009-03-27 19:07 UTC (permalink / raw)
To: cluster-cvs-relay
Gitweb: http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=023e19c9c77074ca2709560e1ff0d0108a06a075
Commit: 023e19c9c77074ca2709560e1ff0d0108a06a075
Parent: 593b15a97d1ab93cbd8cc6c7ee8e21ab21ffed1e
Author: Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate: Fri Mar 27 09:11:01 2009 +0100
Committer: Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Fri Mar 27 20:05:47 2009 +0100
cman init: better handle of unfencing
make it clear what we expect and how to handle it.
handle also other situations like fence_node segfaulting.
Origin problem reported by Jim Meyering.
Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
cman/init.d/cman.in | 10 ++++++++--
1 files changed, 8 insertions(+), 2 deletions(-)
diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 91cb62c..5afb6ce 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -461,9 +461,15 @@ stop_cman()
unfence_self()
{
+ # fence_node returns 0 on success, 1 on failure, 2 if unconfigured
+ # 0 and 2 are ok. Everything else should report error.
fence_node -U > /dev/null 2>&1
- [ $? -eq 1 ] && return 1
- return 0
+ case $? in
+ 0|2)
+ return 0
+ ;;
+ esac
+ return 1
}
start_qdiskd()
^ permalink raw reply [flat|nested] only message in thread
only message in thread, other threads:[~2009-03-27 19:07 UTC | newest]
Thread overview: (only message) (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2009-03-27 19:07 cluster: STABLE3 - cman init: better handle of unfencing Fabio M. Di Nitto
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).